%global realname erlpmd
%global upstream lemenkov
%global debug_package %{nil}
%global git_tag 1d20862
%global patchnumber 0


Name:		%{realname}
Version:	2.0.1
Release:	5%{?dist}
Summary:	A drop-in replacement for epmd written in Erlang
Group:		System Environment/Daemons
License:	MIT
URL:		https://github.com/lemenkov/erlpmd
Source0:	https://github.com/lemenkov/erlpmd/tarball/%{version}/%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-rebar
BuildRequires:	erlang-erlando
Requires(post):	systemd
Requires(preun):systemd
Requires(postun):systemd
Requires:	systemd
Requires:	erlang-erlando%{?_isa}
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
A drop-in replacement for epmd written in Erlang.


%prep
%setup -q -n %{upstream}-%{realname}-94c8a93


%build
rebar compile -v


%install
install -D -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -D -p -m 0644 priv/%{realname}.service %{buildroot}%{_unitdir}/%{realname}.service


%pre
getent group %{realname} >/dev/null || groupadd -r %{realname}
getent passwd %{realname} >/dev/null || \
useradd -r -g %{realname} -d %{_localstatedir}/empty -s /sbin/nologin \
-c "ErlPMD" %{realname} 2>/dev/null || :


%post
%systemd_post %{realname}.service


%preun
%systemd_preun %{realname}.service


%postun
%systemd_postun


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_unitdir}/%{realname}.service


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 29 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.0.1-1
- Ver. 2.0.1 (systemd fixes)

* Mon Oct 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.0.0-1
- Initial build
